{ lib, UUID }:
lib.options.mkOption {
  type = lib.types.submodule {
    options = {
      enable = lib.options.mkEnableOption "PiAware";

      feederId = lib.options.mkOption {
        type = lib.types.nullOr UUID;
        default = null;
        description = "PiAware feeder ID";
      };

      allowMLAT = lib.options.mkOption {
        type = lib.types.bool;
        default = true;
        description = "Should PiAware enable multilateration where possible? You may need to disable this if multilateration overloads your receiver";
      };

      allowModeAC = lib.options.mkOption {
        type = lib.types.bool;
        default = true;
        description = "Should PiAware enable reception of Mode A/C messages when requested? You may need to disable this if processing Mode A/C overloads your receiver.";
      };
    };
  };
}
