{ pkgs, ... }:
let
  pname = "adsbexchange-mlat-client";
  version = "0.4.2";
in
pkgs.python3.pkgs.buildPythonApplication {
  inherit pname version;
  src = pkgs.fetchFromGitHub {
    owner = "ADSBexchange";
    repo = "mlat-client";
    rev = "faf9638fe8c2eafc2abdc45621ff879c7acb882b";
    sha256 = "sha256-V//LpYmBXtT8haX1aZ4XldzzyUY2YN7x3lTpQ2csTmw=";
  };
  meta = with pkgs.lib; {
    homepage = "https://github.com/adsbexchange/mlat-client";
    description = "ADS-B Exchange Mode S multilateration client";
    longDescription = ''
      This is a client that selectively forwards Mode S messages to a server that resolves the transmitter position by multilateration of the same message received by multiple clients.
    '';
    license = licenses.gpl3Plus;
  };
}
