{ pkgs, ... }:
let
  pname = "adsbexchange-readsb";
  version = "3.14.1597";
in
pkgs.stdenv.mkDerivation {
  inherit pname version;
  src = pkgs.fetchFromGitHub {
    owner = "adsbexchange";
    repo = "readsb";
    rev = "61c6bb02ae1af04c805e2607bfec5dbfea4c6515";
    sha256 = "sha256-LXIib8mfgFMINXCYHxfnhdGI5WjJsCNq0LV+i+Kp4r8=";
  };
  nativeBuildInputs = [
    pkgs.pkg-config
  ];
  propagatedBuildInputs = [
    pkgs.libad9361
    pkgs.libbladeRF
    pkgs.libiio
    pkgs.librtlsdr
    pkgs.ncurses
    pkgs.zlib
    pkgs.zstd
  ];
  buildFlags = [
    "READSB_VERSION=v${version}"
    "RTLSDR=yes"
    "BLADERF=yes"
    "PLUTOSDR=yes"
  ];
  installPhase = ''
    runHook preInstall
    mkdir -p $out/bin
    install -D readsb $out/bin
    install -D viewadsb $out/bin
    ln -s readsb $out/bin/feed-adsbx
    runHook postInstall
  '';
}
