{ pkgs, ... }:
let
  pname = "adsbfi-mlat-client";
  version = "0.4.2";
in
pkgs.python3.pkgs.buildPythonApplication {
  inherit pname version;
  src = pkgs.fetchFromGitHub {
    owner = "makrsmark";
    repo = "mlat-client";
    rev = "0e8f9f927339e6bfa8cadaa8fff6cb734de4b60a";
    sha256 = "sha256-4dWwRBKWkxMjKJmZtAAZjaFqkGubOmKTmzmntcR92II=";
  };
  meta = with pkgs.lib; {
    homepage = "https://github.com/makrsmark/mlat-client";
    description = "ADSB.fi Mode S multilateration client";
    longDescription = ''
      This is a client that selectively forwards Mode S messages to a server that resolves the transmitter position by multilateration of the same message received by multiple clients.
    '';
    license = licenses.gpl3Plus;
  };
}
