{ pkgs, ... }:
let
  pname = "adsbfi-readsb";
  version = "3.14.1606";
in
pkgs.stdenv.mkDerivation {
  inherit pname version;
  src = pkgs.fetchFromGitHub {
    owner = "wiedehopf";
    repo = "readsb";
    rev = "v${version}";
    sha256 = "sha256-XjvWpxCYCoNPDPwbvLKk8l23dhHL98HbVK6+Zn+36Wk=";
  };
  nativeBuildInputs = [
    pkgs.pkg-config
  ];
  propagatedBuildInputs = [
    pkgs.libad9361
    pkgs.libbladeRF
    pkgs.libiio
    pkgs.librtlsdr
    pkgs.ncurses
    pkgs.zlib
    pkgs.zstd
  ];
  buildFlags = [
    "READSB_VERSION=v${version}"
    "RTLSDR=yes"
    "BLADERF=yes"
    "PLUTOSDR=yes"
    "AIRCRAFT_HASH_BITS=12"
  ];
  installPhase = ''
    runHook preInstall
    mkdir -p $out/bin
    install -D readsb $out/bin
    install -D viewadsb $out/bin
    runHook postInstall
  '';
}
