{ self, flake-utils, nixpkgs }: flake-utils.lib.eachDefaultSystem (
  system:
  let
    pkgs = import nixpkgs {
      inherit system;
    };
  in
  {
    packages = {
      dump1090-fa = import ./dump1090-fa.nix { inherit pkgs; };
      dump978-fa = import ./dump978-fa.nix { inherit pkgs; };
      tcllauncher = import ./tcllauncher.nix { inherit pkgs; };
      mutability-mlat-client = import ./mutability-mlat-client.nix { inherit pkgs; };
      piaware = import ./piaware.nix {
        inherit pkgs;
        dump1090-fa = self.packages.${system}.dump1090-fa;
        dump978-fa = self.packages.${system}.dump978-fa;
        tcllauncher = self.packages.${system}.tcllauncher;
        mutability-mlat-client = self.packages.${system}.mutability-mlat-client;
      };
      adsbexchange-mlat-client = import ./adsbexchange-mlat-client.nix { inherit pkgs; };
      adsbexchange-readsb = import ./adsbexchange-readsb.nix { inherit pkgs; };
      adsbfi-mlat-client = import ./adsbfi-mlat-client.nix { inherit pkgs; };
      adsbfi-readsb = import ./adsbfi-readsb.nix { inherit pkgs; };
      tar1090 = import ./tar1090.nix { inherit pkgs; };
    };
  }
)
